# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-02-28 15:06
from __future__ import unicode_literals

from django.db import migrations


def copy_offlinephase_data(apps, schema_editor):
    Offlinephase = apps.get_model('euth_offlinephases', 'Offlinephase')
    OfflineEvent = apps.get_model('euth_offlinephases', 'OfflineEvent')
    OfflineEventFileUpload = apps.get_model('euth_offlinephases', 'OfflineEventFileUpload')

    for offlinephase in Offlinephase.objects.all():
        offline_event = OfflineEvent.objects.create(
            name=offlinephase.phase.name,
            date=offlinephase.phase.start_date,
            description=offlinephase.text,
            project=offlinephase.phase.module.project
        )
        offline_event.save()
        for fileupload in offlinephase.fileupload_set.all():
            offline_event_file_upload = OfflineEventFileUpload.objects.create(
                title=fileupload.title,
                document=fileupload.document,
                offlineevent=offline_event
            )
            offline_event_file_upload.save()
            fileupload.delete()
        offlinephase.phase.delete()
        offlinephase.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('euth_offlinephases', '0004_offlineevent_offlineeventfileupload'),
    ]

    operations = [
        migrations.RunPython(copy_offlinephase_data)
    ]
